<?php
if (!defined('_GNUBOARD_')) exit; // 개별 페이지 접근 불가
add_javascript('<script src="'.G5_JS_URL.'/jquery.register_form.js"></script>', 0);
if ($config['cf_cert_use'] && ($config['cf_cert_simple'] || $config['cf_cert_ipin'] || $config['cf_cert_hp']))
    add_javascript('<script src="'.G5_JS_URL.'/certify.js?v='.G5_JS_VER.'"></script>', 0);
// add_stylesheet('css 구문', 출력순서); 숫자가 작을 수록 먼저 출력됨
add_stylesheet('<link rel="stylesheet" href="'.$member_skin_url.'/style.css">', 0);

?>

<!-- 회원정보 입력/수정 시작 { -->
<div class="register">
	<form id="fregisterform" name="fregisterform" action="<?php echo $register_action_url ?>" onsubmit="return fregisterform_submit(this);" method="post" enctype="multipart/form-data" autocomplete="off">

<!-- 커스텀 모달 시작 -->
<style>
  .first {
    display: none;
    position: fixed;
    z-index: 999999;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: #fff;
  }

.next1 {
    display: none;
    position: fixed;
    z-index: 9999991;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: #fff;
  }
  
  .next2 {
    display: none;
    position: fixed;
    z-index: 99999992;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: #fff;
  }
  input:focus {outline:none;}
  .password-input-wrapper {
    position: relative;
}

.input-wrapper {
    position: relative;
}

.password-toggle-icon {
    position: absolute;
    right: 15px;
    transform: translateY(-50%);
    cursor: pointer;
    font-size:15px;
    top:40%
}
</style>

<!-- 닉네임(아이디)입력{ -->
<div id="first" class="first">
<script>
    function checkDuplicate(type) {
        let url;
        let fieldId;
        let msgId;
        let typeName;

        switch (type) {
            case 'id':
                url = "ajax.mb_id.php";
                fieldId = "#reg_mb_id";
                msgId = "#msg_mb_id";
                typeName = "아이디";
                break;
            case 'nick':
                url = "ajax.mb_nick.php";
                fieldId = "#reg_mb_id";
                msgId = "#msg_mb_id";
                typeName = "닉네임";
                break;

                return; 
        }

        var fieldValue = $(fieldId).val();
        var data = {};
        data['reg_mb_' + type] = fieldValue;
        if (type !== 'id') { 
            data['checkDuplicate' + type.charAt(0).toUpperCase() + type.slice(1)] = 1;
        }

        $.post(url, data, function(response) {
            if (response) {
                $(msgId).html(response);
                $(fieldId + "_check_btn").show();
                $(fieldId + "_next_btn").hide();
            } else {
                $(fieldId + "_check_btn").hide();
                $(fieldId + "_next_btn").show();
            }
        });
    }

    // 닉네임 입력 필드에 click 이벤트 추가
$(document).ready(function() {
    // 닉네임 입력 필드에 click 이벤트 추가
    // 닉네임 입력 필드에 click 이벤트 추가
$("#reg_mb_nick").on("click", function() {
    // 중복확인 버튼 및 다음 버튼 초기화
    $("#reg_mb_id_check_btn").show();
    $("#reg_mb_id_next_btn").hide();
    // 닉네임 입력 필드 border 스타일 초기화
    $(this).css('border', '1px solid #f1f1f1');
    // 중복 체크 메시지 초기화
    $("#msg_mb_id").html('');
});

    // 다음 버튼 클릭 이벤트 추가
    $("#reg_mb_id_next_btn").on("click", function() {
        // next1 모달 표시
        $(".next1").css("display", "block");
    });
});
</script>

<style>
.register_body {
padding:30px;
}
.head_c {
margin-top:10px;
margin:auto;
padding-bottom:25px;
}

</style>
<div class="register_body">
<div class="head_c">
<center>
<span style="font-size:2em;font-weight:520;color:#1a1a1a;">프로필 생성</span>

<p style="margin-top:10px;font-size:1.1em;color:#555">프로필 - ID를 입력하세요. 프로필 닉네임은 프로필 관리에서 수정할 수 있습니다.</p>
</center>
</div>
<input type="text" name="mb_nick" id="reg_mb_nick" required class="frm_input required nospace full_input" size="10" maxlength="20" placeholder="DSc - ID" style="border:1px solid #f1f1f1;background-color:#f9f9f9;border-radius:15px;padding:10px;margin-bottom:5px">
<input type="hidden" name="mb_id" id="reg_mb_id" <?php echo $required ?> <?php echo $readonly ?> class="frm_input full_input <?php echo $required ?> <?php echo $readonly ?>" minlength="3" maxlength="20" placeholder="DSc - ID.">
<div style="display: flex; justify-content: center; margin-top: 10px;">
    <button type="button" style="background-color:#3a3a3a;width:100%;padding:15px;border-radius:15px;color:#fafafa;font-size:1em;font-weight:500;border:none" onclick="checkDuplicate('id')" id="reg_mb_id_check_btn">중복확인</button>
    <button type="button" style="background-color:#0b81ff;width:100%;padding:15px;border-radius:15px;color:#fafafa;font-size:1em;font-weight:500;border:none" id="reg_mb_id_next_btn" hidden>다음</button>
</div>
</br>
<span id="msg_mb_id" style="padding-top:10px;text-align:center"></span>
<div style="background-color:#f1f1f1;color:#4a4a4a;border-radius:15px;margin-top:50px;padding:15px;border:1px solid #ddd;">
<span>프로필 </br></br> 프로필 - ID와 프로필 닉네임으로 구성되어있습니다. </br></br></br>프로필 생성</br></br>프로필 - ID와 프로필 닉네임이 통합되어 생성됩니다.
</span>
</div>
</div>

<script>
    document.getElementById('reg_mb_nick').addEventListener('input', function() {
        document.getElementById('reg_mb_id').value = this.value;
    });
</script>
</div>
<!--닉네임/아이디 통합으로 허용/비허용 문자 제어{-->

<!-- 비밀번호 입력{ -->
<div class="next1">
<div class="register_body">
<div class="head_c">
<center>
<span style="font-size:2em;font-weight:520;color:#1a1a1a;">프로필 비밀번호 입력</span>
<p style="margin-top:10px;font-size:1.1em;color:#555;">프로필의 비밀번호를 생성하세요. 프로필 관리에서 수정할 수 있습니다.</p>
</center>
</div>
<div class="password-input-wrapper">
    <div class="input-wrapper">
        <input type="password" name="mb_password" id="reg_mb_password" <?php echo $required ?> class="frm_input full_input <?php echo $required ?>" minlength="3" maxlength="20" placeholder="비밀번호" style="border:1px solid #f1f1f1;background-color:#f9f9f9;border-radius:15px;padding:10px;margin-bottom:15px;padding-right: 40px;">
        <span class="password-toggle-icon">
            <i class="fa fa-lock"></i>
        </span>
    </div>
</div>
<input type="password" name="mb_password_re" id="reg_mb_password_re" <?php echo $required ?> class="frm_input full_input <?php echo $required ?>" minlength="3" maxlength="20" placeholder="비밀번호 확인" style="display: none;">
<button type="button" id="check_password" style="background-color:#2a2a2a;width:100%;padding:15px;border-radius:15px;color:#fafafa;font-size:1em;font-weight:500;border:none">다음</button>

<div style="background-color:#f1f1f1;color:#4a4a4a;border-radius:15px;margin-top:50px;padding:15px;border:1px solid #ddd;">
<span><i class="fa fa-lock"></i>&nbsp; 아이콘을 클릭하여 비밀번호를 확인할 수 있습니다.</span>
</div>
</div>
</div>
<script>
document.getElementById('reg_mb_password').addEventListener('input', function() {
    var password = this.value;
    document.getElementById('reg_mb_password_re').value = password;
    

    // 비밀번호가 입력되었을 때만 다음 버튼의 background-color를 #ff7a21로 변경
    var nextButton = document.getElementById('check_password');
    if (password.trim() !== '') {
        nextButton.style.backgroundColor = '#0b81ff';
    } else {
        nextButton.style.backgroundColor = '#2a2a2a';
    }

});

document.getElementById('check_password').addEventListener('click', function() {
    var password = document.getElementById('reg_mb_password').value;
    var passwordConfirm = document.getElementById('reg_mb_password_re').value;

    if (password.trim() === '') {
        alert('비밀번호를 입력해주세요.');
        return;
    }

    if (password !== passwordConfirm) {
        alert('비밀번호가 일치하지 않습니다.');
    } else {
        // 비밀번호가 일치하는 경우 next2 모달 출력
        var modal = document.createElement('div');
        next2.classList.add('next2', 'next2');
        next2.style.display = 'block';
        document.body.appendChild(modal);
    }
});
</script>
<!--비밀번호 보기{-->
<script>
// 비밀번호 보기/숨기기 토글 기능
const passwordInput = document.getElementById('reg_mb_password');
const passwordToggleIcon = document.querySelector('.password-toggle-icon i');

passwordToggleIcon.addEventListener('click', () => {
    if (passwordInput.type === 'password') {
        passwordInput.type = 'text';
        passwordToggleIcon.classList.remove('fa-lock');
        passwordToggleIcon.classList.add('fa-unlock-alt');
    } else {
        passwordInput.type = 'password';
        passwordToggleIcon.classList.remove('fa-unlock-alt');
        passwordToggleIcon.classList.add('fa-lock');
    }
});
</script>

<!-- 개인정보 입력 -->
<div id="next2" class="next2">
<!--회원 프로필 이미지 입력{
<?php if ($member['mb_level'] >= $config['cf_icon_level'] && $config['cf_member_img_size'] && $config['cf_member_img_width'] && $config['cf_member_img_height']) {  ?>
    <input type="file" name="mb_img" id="reg_mb_img">
<?php } ?>
-->
<div class="register_body">
<div class="head_c">
<center>
<span style="font-size:2em;font-weight:520;color:#1a1a1a;">세부 프로필 작성</span>
<p style="margin-top:10px;font-size:1.1em;color:#555;">프로필 세부사항을 입력하세요. 프로필 관리에서 수정할 수 있습니다.</p>
</center>
</div>
<input type="text" id="reg_mb_name" name="mb_name" value="<?php echo get_text($member['mb_name']) ?>" <?php echo $required ?> <?php echo $readonly; ?> class="frm_input full_input <?php echo $required ?> <?php echo $name_readonly ?>" size="10" placeholder="이름" style="border:1px solid #f1f1f1;background-color:#f9f9f9;border-radius:15px;padding:10px;margin-bottom:15px;padding-right: 40px;">

<?php if ($config['cf_use_email_certify']) {  ?>
<span class="tooltip">
    <?php if ($w=='') { echo "E-mail 로 발송된 내용을 확인한 후 인증하셔야 회원가입이 완료됩니다."; }  ?>
    <?php if ($w=='u') { echo "E-mail 주소를 변경하시면 다시 인증하셔야 합니다."; }  ?>
</span>
<?php }  ?>

<input type="hidden" name="old_email" value="<?php echo $member['mb_email'] ?>">
<input type="text" name="mb_email" value="<?php echo isset($member['mb_email'])?$member['mb_email']:''; ?>" id="reg_mb_email" required class="frm_input email full_input required" size="70" maxlength="100" placeholder="E-mail" style="border:1px solid #f1f1f1;background-color:#f9f9f9;border-radius:15px;padding:10px;margin-bottom:15px;padding-right: 40px;">

	            <!-- 자동등록방지 -->
	                <?php echo captcha_html(); ?>
	            <!-- }자동등록방지 -->
	            
<div class="btn_confirm" style="display: none;">
    <button type="submit" id="btn_submit" class="btn_submit" accesskey="s" style="background-color:#0b81ff;width:100%;padding:15px;border-radius:15px;color:#fafafa;font-size:1em;font-weight:500;border:none"><?php echo $w==''?'프로필 생성 완료':'정보수정'; ?></button>
</div>
</div>

<script>
    document.addEventListener('DOMContentLoaded', function() {
        var nameInput = document.getElementById('reg_mb_name');
        var emailInput = document.getElementById('reg_mb_email');
        var submitButton = document.querySelector('.btn_confirm');

        function validateForm() {
            var nameValue = nameInput.value.trim();
            var emailValue = emailInput.value.trim();
            var emailPattern = /^[^\s@]+@[^\s@]+\.[^\s@]+$/;

            if (nameValue && emailPattern.test(emailValue)) {
                submitButton.style.display = 'block';
            } else {
                submitButton.style.display = 'none';
            }
        }

        nameInput.addEventListener('input', validateForm);
        emailInput.addEventListener('input', validateForm);

        // 초기 로드 시에도 유효성 검사 실행
        validateForm();
    });
</script>
</div>

<!-- 커스텀 회원가입 페이지 코어 스크립트 -->
<script>
  // Get the modal
  var modal = document.getElementById("first");

  // Show the modal immediately when the page loads
  window.onload = function() {
    first.style.display = "block";
  };

  // When the user clicks on the accept button, close the modal
  acceptButton.onclick = function() {
    first.style.display = "none";
  };

  // When the user clicks outside the modal, close it
  window.onclick = function(event) {
    if (event.target == first) {
      first.style.display = "none";
    }
  };
</script>

<!--}커스텀 회원가입 모달 끝-->

	<input type="hidden" name="w" value="<?php echo $w ?>">
	<input type="hidden" name="url" value="<?php echo $urlencode ?>">
	<input type="hidden" name="agree" value="<?php echo $agree ?>">
	<input type="hidden" name="agree2" value="<?php echo $agree2 ?>">
	<input type="hidden" name="cert_type" value="<?php echo $member['mb_certify']; ?>">
	<input type="hidden" name="cert_no" value="">
	
	<input type="hidden" name="mb_open" value="1">
	<?php if (isset($member['mb_sex'])) {  ?><input type="hidden" name="mb_sex" value="<?php echo $member['mb_sex'] ?>"><?php }  ?>
	<?php if (isset($member['mb_nick_date']) && $member['mb_nick_date'] > date("Y-m-d", G5_SERVER_TIME - ($config['cf_nick_modify'] * 86400))) { // 닉네임수정일이 지나지 않았다면  ?>
	<input type="hidden" name="mb_nick_default" value="<?php echo get_text($member['mb_nick']) ?>">
	<input type="hidden" name="mb_nick" value="<?php echo get_text($member['mb_nick']) ?>">
	<?php }  ?>
	
	<div id="register_form" class="form_01">
	<div class="tbl_frm01 tbl_wrap register_form_inner">
	        <h2>프로필이미지 편집</h2>
	        <ul>

	            
	
	            <?php if ($config['cf_use_profile']) {  ?>
	            <li>
	                <label for="reg_mb_profile">상태메시지</label>
	                <textarea name="mb_profile" id="reg_mb_profile" <?php echo $config['cf_req_profile']?"required":""; ?> class="<?php echo $config['cf_req_profile']?"required":""; ?>" placeholder="상태메시지를 입력하고 공유해 보세요!"><?php echo $member['mb_profile'] ?></textarea>
	            </li>
	            <?php }  ?>
	
	            <?php if ($config['cf_use_member_icon'] && $member['mb_level'] >= $config['cf_icon_level']) {  ?>
	            <li>
	                <label for="reg_mb_icon" class="frm_label">
	                	프로필 배경
	                	<button type="button" class="tooltip_icon"><i class="fa fa-question-circle-o" aria-hidden="true"></i><span class="sound_only">설명보기</span></button>
	                	<span class="tooltip">이미지 크기는 가로 <?php echo $config['cf_member_icon_width'] ?>픽셀, 세로 <?php echo $config['cf_member_icon_height'] ?>픽셀 이하로 해주세요.<br>
gif, jpg, png파일만 가능하며 용량 <?php echo number_format($config['cf_member_icon_size']) ?>바이트 이하만 등록됩니다.</span>
	                </label>
	                <input type="file" name="mb_icon" id="reg_mb_icon">
	
	                <?php if ($w == 'u' && file_exists($mb_icon_path)) {  ?>
	                <img src="<?php echo $mb_icon_url ?>" alt="프로필 배경">
	                <?php }  ?>
	            
	            </li>
	            <?php }  ?>

<!--메일을 주석 처리하여 사용 안함{

	            <li class="chk_box">
		        	<input type="checkbox" name="mb_mailling" value="1" id="reg_mb_mailling" <?php echo ($w=='' || $member['mb_mailling'])?'checked':''; ?> class="selec_chk">
		            <label for="reg_mb_mailling">
		            	<span></span>
		            	<b class="sound_only">메일링서비스</b>
		            </label>
		            <span class="chk_li">정보 메일을 받겠습니다.</span>
		        </li>

}메일주석 끝-->
	
				<?php if ($config['cf_use_hp']) { ?>
		        <li class="chk_box">
		            <input type="checkbox" name="mb_sms" value="1" id="reg_mb_sms" <?php echo ($w=='' || $member['mb_sms'])?'checked':''; ?> class="selec_chk">
		        	<label for="reg_mb_sms">
		            	<span></span>
		            	<b class="sound_only">SMS 수신여부</b>
		            </label>        
		            <span class="chk_li">휴대폰 문자메세지를 받겠습니다.</span>
		        </li>
		        <?php } ?>

	            <?php if ($w == "" && $config['cf_use_recommend']) {  ?>
	            <li>
	                <label for="reg_mb_recommend" class="sound_only">추천인아이디</label>
	                <input type="text" name="mb_recommend" id="reg_mb_recommend" class="frm_input" placeholder="추천인아이디">
	            </li>
	            <?php }  ?>
	        </ul>
	    </div>
  
	    <div class="register_form_inner">
	        <h2>DSc 계정</h2>
	        
	    </div>
	
	    <div class="tbl_frm01 tbl_wrap register_form_inner">
	        <h2>개인/보안 설정</h2>
	        <ul>
				<li>
                    <?php 
					$desc_name = '';
					$desc_phone = '';
					if ($config['cf_cert_use']) {
                        $desc_name = '<span class="cert_desc"> 본인확인 시 자동입력</span>';
                        $desc_phone = '<span class="cert_desc"> 본인확인 시 자동입력</span>';
    
                        if (!$config['cf_cert_simple'] && !$config['cf_cert_hp'] && $config['cf_cert_ipin']) {
                            $desc_phone = '';
                        }

	                    if ($config['cf_cert_simple']) {
                            echo '<button type="button" id="win_sa_kakao_cert" class="btn_frmline win_sa_cert" data-type="">간편인증</button>'.PHP_EOL;
						}
						if ($config['cf_cert_hp'])
							echo '<button type="button" id="win_hp_cert" class="btn_frmline">휴대폰 본인확인</button>'.PHP_EOL;
						if ($config['cf_cert_ipin'])
							echo '<button type="button" id="win_ipin_cert" class="btn_frmline">아이핀 본인확인</button>'.PHP_EOL;
	
                        echo '<span class="cert_req">(필수)</span>';
	                    echo '<noscript>본인확인을 위해서는 자바스크립트 사용이 가능해야합니다.</noscript>'.PHP_EOL;
	                }
	                ?>
	                <?php
	                if ($config['cf_cert_use'] && $member['mb_certify']) {
						switch  ($member['mb_certify']) {
							case "simple": 
								$mb_cert = "간편인증";
								break;
							case "ipin": 
								$mb_cert = "아이핀";
								break;
							case "hp": 
								$mb_cert = "휴대폰";
								break;
						}                 
	                ?>
	                <div id="msg_certify">
	                    <strong><?php echo $mb_cert; ?> 본인확인</strong><?php if ($member['mb_adult']) { ?> 및 <strong>성인인증</strong><?php } ?> 완료
	                </div>
				<?php } ?>
				</li>
	
	            <?php if ($config['cf_use_homepage']) {  ?>
	            <li>
	                <label for="reg_mb_homepage">홈페이지<?php if ($config['cf_req_homepage']){ ?> (필수)<?php } ?></label>
	                <input type="text" name="mb_homepage" value="<?php echo get_text($member['mb_homepage']) ?>" id="reg_mb_homepage" <?php echo $config['cf_req_homepage']?"required":""; ?> class="frm_input full_input <?php echo $config['cf_req_homepage']?"required":""; ?>" size="70" maxlength="255" placeholder="홈페이지">
	            </li>
	            <?php }  ?>
	
	            <li>
	            <?php if ($config['cf_use_tel']) {  ?>
	            
	                <label for="reg_mb_tel">전화번호<?php if ($config['cf_req_tel']) { ?> (필수)<?php } ?></label>
	                <input type="text" name="mb_tel" value="<?php echo get_text($member['mb_tel']) ?>" id="reg_mb_tel" <?php echo $config['cf_req_tel']?"required":""; ?> class="frm_input full_input <?php echo $config['cf_req_tel']?"required":""; ?>" maxlength="20" placeholder="전화번호">
	            <?php }  ?>
				</li>
				<li>
	            <?php if ($config['cf_use_hp'] || ($config["cf_cert_use"] && ($config['cf_cert_hp'] || $config['cf_cert_simple']))) {  ?>
	                <label for="reg_mb_hp">휴대폰번호<?php if (!empty($hp_required)) { ?> (필수)<?php } ?><?php echo $desc_phone ?></label>
	                
	                <input type="text" name="mb_hp" value="<?php echo get_text($member['mb_hp']) ?>" id="reg_mb_hp" <?php echo $hp_required; ?> <?php echo $hp_readonly; ?> class="frm_input full_input <?php echo $hp_required; ?> <?php echo $hp_readonly; ?>" maxlength="20" placeholder="휴대폰번호">
	                <?php if ($config['cf_cert_use'] && ($config['cf_cert_hp'] || $config['cf_cert_simple'])) { ?>
	                <input type="hidden" name="old_mb_hp" value="<?php echo get_text($member['mb_hp']) ?>">
	                <?php } ?>
	            <?php }  ?>
	            </li>
	
	            <?php if ($config['cf_use_addr']) { ?>
	            <li>
	            	<label>주소</label>
					<?php if ($config['cf_req_addr']) { ?> (필수)<?php }  ?>
	                <label for="reg_mb_zip" class="sound_only">우편번호<?php echo $config['cf_req_addr']?' (필수)':''; ?></label>
	                <input type="text" name="mb_zip" value="<?php echo $member['mb_zip1'].$member['mb_zip2']; ?>" id="reg_mb_zip" <?php echo $config['cf_req_addr']?"required":""; ?> class="frm_input twopart_input <?php echo $config['cf_req_addr']?"required":""; ?>" size="5" maxlength="6"  placeholder="우편번호">
	                <button type="button" class="btn_frmline" onclick="win_zip('fregisterform', 'mb_zip', 'mb_addr1', 'mb_addr2', 'mb_addr3', 'mb_addr_jibeon');">주소 검색</button><br>
	                <input type="text" name="mb_addr1" value="<?php echo get_text($member['mb_addr1']) ?>" id="reg_mb_addr1" <?php echo $config['cf_req_addr']?"required":""; ?> class="frm_input frm_address full_input <?php echo $config['cf_req_addr']?"required":""; ?>" size="50"  placeholder="기본주소">
	                <label for="reg_mb_addr1" class="sound_only">기본주소<?php echo $config['cf_req_addr']?' (필수)':''; ?></label><br>
	                <input type="text" name="mb_addr2" value="<?php echo get_text($member['mb_addr2']) ?>" id="reg_mb_addr2" class="frm_input frm_address full_input" size="50" placeholder="상세주소">
	                <label for="reg_mb_addr2" class="sound_only">상세주소</label>
	                <br>
	                <input type="text" name="mb_addr3" value="<?php echo get_text($member['mb_addr3']) ?>" id="reg_mb_addr3" class="frm_input frm_address full_input" size="50" readonly="readonly" placeholder="참고항목">
	                <label for="reg_mb_addr3" class="sound_only">참고항목</label>
	                <input type="hidden" name="mb_addr_jibeon" value="<?php echo get_text($member['mb_addr_jibeon']); ?>">
	            </li>
	            <?php }  ?>
	        </ul>
	    </div>

	</div>
	<div class="btn_confirm">
	    <a href="<?php echo G5_URL ?>" class="btn_close">취소</a>
	    <button type="submit" id="btn_submit" class="btn_submit" accesskey="s"><?php echo $w==''?'회원가입':'정보수정'; ?></button>
	</div>
	</form>
</div>
<script>
$(function() {
    $("#reg_zip_find").css("display", "inline-block");
    var pageTypeParam = "pageType=register";

	<?php if($config['cf_cert_use'] && $config['cf_cert_simple']) { ?>
	// 이니시스 간편인증
	var url = "<?php echo G5_INICERT_URL; ?>/ini_request.php";
	var type = "";    
    var params = "";
    var request_url = "";

	$(".win_sa_cert").click(function() {
		if(!cert_confirm()) return false;
		type = $(this).data("type");
		params = "?directAgency=" + type + "&" + pageTypeParam;
        request_url = url + params;
        call_sa(request_url);
	});
    <?php } ?>
    <?php if($config['cf_cert_use'] && $config['cf_cert_ipin']) { ?>
    // 아이핀인증
    var params = "";
    $("#win_ipin_cert").click(function() {
		if(!cert_confirm()) return false;
        params = "?" + pageTypeParam;
        var url = "<?php echo G5_OKNAME_URL; ?>/ipin1.php"+params;
        certify_win_open('kcb-ipin', url);
        return;
    });

    <?php } ?>
    <?php if($config['cf_cert_use'] && $config['cf_cert_hp']) { ?>
    // 휴대폰인증
    var params = "";
    $("#win_hp_cert").click(function() {
		if(!cert_confirm()) return false;
        params = "?" + pageTypeParam;
        <?php     
        switch($config['cf_cert_hp']) {
            case 'kcb':                
                $cert_url = G5_OKNAME_URL.'/hpcert1.php';
                $cert_type = 'kcb-hp';
                break;
            case 'kcp':
                $cert_url = G5_KCPCERT_URL.'/kcpcert_form.php';
                $cert_type = 'kcp-hp';
                break;
            case 'lg':
                $cert_url = G5_LGXPAY_URL.'/AuthOnlyReq.php';
                $cert_type = 'lg-hp';
                break;
            default:
                echo 'alert("기본환경설정에서 휴대폰 본인확인 설정을 해주십시오");';
                echo 'return false;';
                break;
        }
        ?>
        
        certify_win_open("<?php echo $cert_type; ?>", "<?php echo $cert_url; ?>"+params);
        return;
    });
    <?php } ?>
});

// submit 최종 폼체크

    if (f.w.value == "") {
        if (f.mb_password.value.length < 3) {
            alert("비밀번호를 3글자 이상 입력하십시오.");
            f.mb_password.focus();
            return false;
        }
    }

    if (f.mb_password.value != f.mb_password_re.value) {
        alert("비밀번호가 같지 않습니다.");
        f.mb_password_re.focus();
        return false;
    }

    if (f.mb_password.value.length > 0) {
        if (f.mb_password_re.value.length < 3) {
            alert("비밀번호를 3글자 이상 입력하십시오.");
            f.mb_password_re.focus();
            return false;
        }
    }

    // 이름 검사
    if (f.w.value=="") {
        if (f.mb_name.value.length < 1) {
            alert("이름을 입력하십시오.");
            f.mb_name.focus();
            return false;
        }

        /*
        var pattern = /([^가-힣\x20])/i;
        if (pattern.test(f.mb_name.value)) {
            alert("이름은 한글로 입력하십시오.");
            f.mb_name.select();
            return false;
        }
        */
    }

    <?php if($w == '' && $config['cf_cert_use'] && $config['cf_cert_req']) { ?>
    // 본인확인 체크
    if(f.cert_no.value=="") {
        alert("회원가입을 위해서는 본인확인을 해주셔야 합니다.");
        return false;
    }
    <?php } ?>

    // 닉네임 검사
    if ((f.w.value == "") || (f.w.value == "u" && f.mb_nick.defaultValue != f.mb_nick.value)) {
        var msg = reg_mb_nick_check();
        if (msg) {
            alert(msg);
            f.reg_mb_nick.select();
            return false;
        }
    }

    // E-mail 검사
    if ((f.w.value == "") || (f.w.value == "u" && f.mb_email.defaultValue != f.mb_email.value)) {
        var msg = reg_mb_email_check();
        if (msg) {
            alert(msg);
            f.reg_mb_email.select();
            return false;
        }
    }

    <?php if (($config['cf_use_hp'] || $config['cf_cert_hp']) && $config['cf_req_hp']) {  ?>
    // 휴대폰번호 체크
    var msg = reg_mb_hp_check();
    if (msg) {
        alert(msg);
        f.reg_mb_hp.select();
        return false;
    }
    <?php } ?>

    if (typeof f.mb_icon != "undefined") {
        if (f.mb_icon.value) {
            if (!f.mb_icon.value.toLowerCase().match(/.(gif|jpe?g|png)$/i)) {
                alert("회원아이콘이 이미지 파일이 아닙니다.");
                f.mb_icon.focus();
                return false;
            }
        }
    }

    if (typeof f.mb_img != "undefined") {
        if (f.mb_img.value) {
            if (!f.mb_img.value.toLowerCase().match(/.(gif|jpe?g|png)$/i)) {
                alert("회원이미지가 이미지 파일이 아닙니다.");
                f.mb_img.focus();
                return false;
            }
        }
    }

    if (typeof(f.mb_recommend) != "undefined" && f.mb_recommend.value) {
        if (f.mb_id.value == f.mb_recommend.value) {
            alert("본인을 추천할 수 없습니다.");
            f.mb_recommend.focus();
            return false;
        }

        var msg = reg_mb_recommend_check();
        if (msg) {
            alert(msg);
            f.mb_recommend.select();
            return false;
        }
    }

    <?php echo chk_captcha_js();  ?>

    document.getElementById("btn_submit").disabled = "disabled";

    return true;
}

jQuery(function($){
	//tooltip
    $(document).on("click", ".tooltip_icon", function(e){
        $(this).next(".tooltip").fadeIn(400).css("display","inline-block");
    }).on("mouseout", ".tooltip_icon", function(e){
        $(this).next(".tooltip").fadeOut();
    });
});

//회원탈퇴
function member_leave() {  // 회원 탈퇴 tto
    if (confirm("회원에서 탈퇴 하시겠습니까?"))
            location.href = '<?php echo G5_BBS_URL ?>/member_confirm.php?url=member_leave.php';
 }
 //회원탈퇴 끝
</script>

<!-- } 회원정보 입력/수정 끝 -->

<?php
include_once(G5_THEME_PATH.'/tail.php');
?>